<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>RESIF: RESIFWS: Sacpz Docs: v1</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
<link rel="stylesheet" href="./static/resifws.css"/>
<a href="./local=fr"> <img src="./static/images/fr.png" alt="Anglais - Français"> </a>
</head>
<body>
<p style="text-align:center;"> <img src="./static/images/logoresif.png" alt="logoresif" width="341" height="95"></p>
<h1 id="webservice-sacpz">Webservice sacpz</h1>
<p>The RESIF SACPZ web service returns the poles and zeros of the selected instrument responses in SAC ASCII format.</p>
<h2 id="query-usage">Query usage</h2>
<pre><code>/query? (channel-options) [time-option] [nodata=404]

where:

channel-options      ::  (net=&lt;network&gt;) (sta=&lt;station&gt;) (loc=&lt;location&gt;) (cha=&lt;channel&gt;)
time-option          ::  [time=&lt;date&gt;] [starttime=&lt;date&gt;] [endtime=&lt;date&gt;]

(..) required
[..] optional</code></pre>
<h2 id="sample-queries">Sample queries</h2>
<p><a href="http://ws.resif.fr/resifws/sacpz/1/query?net=FR&sta=CIEL&loc=00&cha=HHE&time=2017-01-01T00:00:00">http://ws.resif.fr/resifws/sacpz/1/query?net=FR&amp;sta=CIEL&amp;loc=00&amp;cha=HHE&amp;time=2017-01-01T00:00:00</a></p>
<p><a href="http://ws.resif.fr/resifws/sacpz/1/query?net=FR&sta=RUSF&loc=06&cha=??N&time=2017-01-01T00:00:00&nodata=404">http://ws.resif.fr/resifws/sacpz/1/query?net=FR&amp;sta=RUSF&amp;loc=06&amp;cha=??N&amp;time=2017-01-01T00:00:00&amp;nodata=404</a></p>
<h2 id="detailed-descriptions-of-each-query-parameter">Detailed descriptions of each query parameter</h2>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 8%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">net[work]</td>
<td style="text-align: left;">FR</td>
<td style="text-align: left;">Seismic network name.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sta[tion]</td>
<td style="text-align: left;">CIEL</td>
<td style="text-align: left;">Station name.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">loc[ation]</td>
<td style="text-align: left;">00</td>
<td style="text-align: left;">Location code. Use loc=-- for empty location codes. Accepts wildcards and lists.</td>
</tr>
<tr class="even">
<td style="text-align: left;">cha[nnel]</td>
<td style="text-align: left;">HHZ</td>
<td style="text-align: left;">Channel Code. Accepts wildcards and lists.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">time</td>
<td style="text-align: left;">2017-01-01T00:00:00</td>
<td style="text-align: left;">Evaluate the response at the given time. If not specified, the current time is used. Cannot be used with starttime or endtime parameters</td>
</tr>
<tr class="even">
<td style="text-align: left;">start[time]</td>
<td style="text-align: left;">2010-01-10T00:00:00</td>
<td style="text-align: left;">Specify the responses that cover the time period after (and including) this time.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">end[time]</td>
<td style="text-align: left;">2011-02-11T01:00:00</td>
<td style="text-align: left;">Specify responses that cover the time period prior to this time.</td>
</tr>
</tbody>
</table>
<h2 id="date-and-time-formats">Date and time formats</h2>
<pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (a time of 00:00:00 is assumed)

where:

YYYY    :: four-digit year
MM      :: two-digit month (01=January, etc.)
DD      :: two-digit day (01 through 31)
T       :: date-time separator
hh      :: two-digit hour (00 through 23)
mm      :: two-digit number of minutes (00 through 59)
ss      :: two-digit number of seconds (00 through 59)
ssssss  :: one to six-digit number of microseconds (0 through 999999)</code></pre>
</body>
</html>
